/*
 *    TArtParser.h
 *    Created       : 2008/09/26 13:54:03 JST
 *    Last Modified : 2008/10/30 21:37:52 JST
 *--------------------------------------------------------
 *    Comment : 
 *    
 *--------------------------------------------------------
 *    Copyright (C)2008 by Shinsuke OTA
 */
#ifndef TARTPARSER_H
#define TARTPARSER_H
#include "TArtMapper.h"
#include "TArtDataSource.h"
#include "TArtRawEventObject.h"

class TArtParser {
public:
   static const int kMaxBufLen;
   TArtParser();
   virtual ~TArtParser();
   virtual bool Parse(TArtDataSource *source,TArtRawEventObject* raweve);
   virtual int  CopyPrevEvent(char *dest) = 0;
   // for anapaw style map data
   virtual void MapData(TArtRawSegmentObject *seg){return;}
   virtual void LoadMapConfig(const char * filename){return;}

protected:
   virtual void GetNextBlock(TArtDataSource *source) = 0;
   virtual bool GetNextEvent(TArtRawEventObject *raweve) = 0;
   unsigned char *fBlockBuffer;
   int fOffset;
   int fNext;
   int fPrev;
   int fBlockSize;
   bool fEOB;
   ArtEventStat_t  fEventStatus;

   TArtMapper *mapper;

   ClassDef(TArtParser,1);

};
#endif // end of #ifdef TARTPARSER_H
