#ifndef _TARTFOCALPLANE_H_
#define _TARTFOCALPLANE_H_

#include "TString.h"
#include "TVectorD.h"
#include "TArtDataObject.h"

class TArtFocalPlane : public TArtDataObject {

 public: 
  TArtFocalPlane(){nfired_ppacx=-1;nfired_ppacy=-1;zpos=0;opt_vector.ResizeTo(5);}
  virtual ~TArtFocalPlane(){}
  virtual void Clear(){nfired_ppacx=-1;nfired_ppacy=-1;zpos=0;}

  virtual void SetZpos(Double_t val){zpos = val;}
  virtual Double_t GetZpos(){return zpos;}

  virtual void SetOptVector(int i, Double_t val){opt_vector[i] = val;}
  virtual TVectorD * GetOptVector(){return &opt_vector;}

  virtual void SetNumFiredPPACX(int i){nfired_ppacx = i;}
  virtual void SetNumFiredPPACY(int i){nfired_ppacy = i;}
  virtual Int_t GetNumFiredPPACX(){return nfired_ppacx;}
  virtual Int_t GetNumFiredPPACY(){return nfired_ppacy;}

 private:

  // optical vector measured with near PPAC detector
  // 0: x position
  // 1: a angle
  // 2: y position
  // 3: b angle
  // 4: delta
  TVectorD opt_vector;

  // num-ppac fired
  Int_t nfired_ppacx;
  Int_t nfired_ppacy;

  // setup
  Double_t zpos;

  ClassDef(TArtFocalPlane,1);

};

#endif
