#ifndef _TARTIC_H_
#define _TARTIC_H_

#include "TMath.h"
#include "TArtDataObject.h"
#include "TString.h"

#define NUM_IC_CHANNEL 8

class TArtIC : public TArtDataObject {

 public:
  TArtIC() {for(int i=0;i<NUM_IC_CHANNEL;i++)fADC[i]=0;fCalMeVSqSum=-1;fCalMeVAvSum=-1;ionpair=-1;}
  virtual ~TArtIC(){}
  
  virtual void SetIonPair(Double_t val){ionpair = val;}
  virtual void SetZCoef(int n, Double_t val){zcoef[n] = val;}

  virtual Double_t GetIonPair(){return ionpair;}
  virtual Double_t GetZCoef(int i){return zcoef[i];}

  // function to set raw data
  virtual void  SetRawADC(int ch, unsigned int val){fADC[ch] = val;}

  // function to get raw data
  virtual unsigned int GetRawADC(int ch){return fADC[ch];}

  // function to set reco data
  virtual void  SetEnergy(Int_t ch, Double_t val){fEnergy[ch] = val;}
  virtual void  SetEnergySqSum(Double_t val){fCalMeVSqSum = val;}
  virtual void  SetEnergyAvSum(Double_t val){fCalMeVAvSum = val;}

  // function to get reco data
  virtual Double_t GetEnergy(Int_t ch){return fEnergy[ch];}
  virtual Double_t GetEnergySqSum(){return fCalMeVSqSum;}
  virtual Double_t GetEnergyAvSum(){return fCalMeVAvSum;}
  virtual Double_t GetZet(double beta){
    double de_v = TMath::Log(ionpair*beta*beta) - TMath::Log((1-beta*beta)) - beta*beta;
    return zcoef[0]*TMath::Sqrt(fCalMeVSqSum/de_v)*beta + zcoef[1];
  }

 private:

  Double_t zcoef[2];
  Double_t ionpair;

  unsigned int fADC[NUM_IC_CHANNEL];
  Double_t fEnergy[NUM_IC_CHANNEL];
  Double_t fCalMeVSqSum;
  Double_t fCalMeVAvSum;

  ClassDef(TArtIC,1);

};



#endif
