#ifndef _TARTPPAC_H_
#define _TARTPPAC_H_

#include "TArtDataObject.h"

class TArtPPAC : public TArtDataObject {

 public:
  TArtPPAC() {fTX1Raw=-1;fTX2Raw=-1;fTY1Raw=-1;fTY2Raw=-1;fTARaw=-1;fQX1Raw=-1;fQX2Raw=-1;fQY1Raw=-1;fQY2Raw=-1;fQARaw=-1;xzpos=-1;yzpos=-1;fFiredX=false;fFiredY=false;}
  virtual ~TArtPPAC(){}

  virtual void SetXZPos(Double_t val){xzpos = val;}
  virtual void SetYZPos(Double_t val){yzpos = val;}

  virtual Double_t GetXZPos(){return xzpos;}
  virtual Double_t GetYZPos(){return yzpos;}

  // function to set raw data
  virtual void  SetTX1Raw(int val){fTX1Raw = val;}
  virtual void  SetTX2Raw(int val){fTX2Raw = val;}
  virtual void  SetTY1Raw(int val){fTY1Raw = val;}
  virtual void  SetTY2Raw(int val){fTY2Raw = val;}
  virtual void  SetTARaw (int val){fTARaw = val;}
  virtual void  SetQX1Raw(int val){fQX1Raw = val;}
  virtual void  SetQX2Raw(int val){fQX2Raw = val;}
  virtual void  SetQY1Raw(int val){fQY1Raw = val;}
  virtual void  SetQY2Raw(int val){fQY2Raw = val;}
  virtual void  SetQARaw (int val){fQARaw = val;}

 // function to get raw data                                                   
  virtual unsigned int GetTX1Raw(){return fTX1Raw;}
  virtual unsigned int GetTX2Raw(){return fTX2Raw;}
  virtual unsigned int GetTY1Raw(){return fTY1Raw;}
  virtual unsigned int GetTY2Raw(){return fTY2Raw;}
  virtual unsigned int GetTARaw (){return fTARaw;}
  virtual unsigned int GetQX1Raw(){return fQX1Raw;}
  virtual unsigned int GetQX2Raw(){return fQX2Raw;}
  virtual unsigned int GetQY1Raw(){return fQY1Raw;}
  virtual unsigned int GetQY2Raw(){return fQY2Raw;}
  virtual unsigned int GetQARaw (){return fQARaw;}

  // function to set/get reco data
  virtual void SetX(Double_t val){fX = val;}
  virtual void SetY(Double_t val){fY = val;}
  virtual Double_t GetX(){return fX;}
  virtual Double_t GetY(){return fY;}

  virtual void SetFiredX(bool val){fFiredX = val;}
  virtual void SetFiredY(bool val){fFiredY = val;}
  virtual bool IsFiredX(){return fFiredX;}
  virtual bool IsFiredY(){return fFiredY;}

 private:

  Double_t xzpos;
  Double_t yzpos;

  unsigned int fTX1Raw; // timing raw data 
  unsigned int fTX2Raw;
  unsigned int fTY1Raw;	
  unsigned int fTY2Raw;
  unsigned int fTARaw;
  unsigned int fQX1Raw; // charge raw data, which are not used for reconstruction.
  unsigned int fQX2Raw;
  unsigned int fQY1Raw;	
  unsigned int fQY2Raw;
  unsigned int fQARaw;

  Double_t  fX; 
  Double_t  fY; 
  bool fFiredX;
  bool fFiredY;

  ClassDef(TArtPPAC,1);

};
#endif
