// rips reconstruction class
// 

#ifndef _TARTRECORIPS_H_
#define _TARTRECORIPS_H_

#include <TNamed.h>
#include <TClonesArray.h>

class TArtBigRIPSParameters;
class TArtFocalPlane;
class TArtRIPS;
class TArtStoreManager;

class TArtRecoRIPS  {

 public:

  TArtRecoRIPS();
  virtual ~TArtRecoRIPS();

  void ClearData();
  void ReconstructData();

  bool IsReconstructed(){ return fReconstructed; }
  TArtRIPS * DefineNewRIPS(Int_t ffpl, Int_t bfpl, char *file, Double_t brho);

  // function to access data container
  TClonesArray    * GetRIPSArray(){return fRIPSArray;}
  Int_t             GetNumRIPS();
  // get i-th object in array
  TArtRIPS  * GetRIPS(int i);
  // looking for fpl object whose forward fpl-number is f_fpl and backward fpl-number is b_fpl. return NULL in the case of fail to find.
  TArtRIPS  * FindRIPS(int f_fpl, int b_fpl);

 private:

  bool fReconstructed;

  TClonesArray       * fRIPSArray;
  TArtBigRIPSParameters * setup;
  TArtStoreManager * sman;

  ClassDef(TArtRecoRIPS,1);

};

#endif
