#ifndef _TARTSISTOPPER_H_
#define _TARTSISTOPPER_H_

#include "TArtDataObject.h"

class TArtSiStopper: public TArtDataObject {

 public:
  TArtSiStopper() : fADC(-1), fHIADC(-1), fTDC(-1), layer(-1), fEnergy(-1), fHIEnergy(-1), fTime(-1) {}
  virtual ~TArtSiStopper();

  virtual void SetLayer(int val){layer = val;}
  virtual int  GetLayer(){return layer;}

  // function to set raw data
  virtual void  SetRawADC(int val){fADC = val;}
  virtual void  SetRawHIADC(int val){fHIADC = val;}
  virtual void  SetRawTDC(int val){fTDC = val;}

  // function to get raw data
  virtual unsigned int GetRawADC(){return fADC;}
  virtual unsigned int GetRawHIADC(){return fHIADC;}
  virtual unsigned int GetRawTDC(){return fTDC;}

  // function to set reco data
  virtual void  SetEnergy(Double_t val){fEnergy = val;}
  virtual void  SetHIEnergy(Double_t val){fHIEnergy = val;}
  virtual void  SetTime(Double_t val){fTime = val;}

  // function to get reco data
  virtual Double_t GetEnergy(){return fEnergy;}
  virtual Double_t GetHIEnergy(){return fHIEnergy;}
  virtual Double_t GetTime(){return fTime;}

 private:

  // raw value
  unsigned int fADC;  
  unsigned int fHIADC;  
  unsigned int fTDC;  

  int layer;  

  // calibrated value
  Double_t fEnergy;  
  Double_t fHIEnergy;  
  Double_t fTime;  


  ClassDef(TArtSiStopper,1);

};
#endif
