// NEBULA calibration class
// 

#ifndef _TARTCALIBNEBULAHPC_H_
#define _TARTCALIBNEBULAHPC_H_

#include <TNamed.h>
#include <vector>
#include <map>

class TClonesArray;
class TArtStoreManager;
class TArtSAMURAIParameters;

class TArtNEBULAHPC;
typedef TClonesArray TArtNEBULAHPCArray;
class TArtNEBULAHPCPara;
typedef TClonesArray TArtNEBULAHPCParaArray;

class TString;

class TArtCalibNEBULAHPC
{
public:
  TArtCalibNEBULAHPC();
  virtual ~TArtCalibNEBULAHPC();

  void LoadRawData();
  void ReconstructData();
  void ClearData();

  bool IsReconstructed(){return fReconstructed;}

  Int_t GetNumNEBULAHPC() const;
  TArtNEBULAHPC* GetNEBULAHPC(int i) const;
  TArtNEBULAHPC* FindNEBULAHPC(int id) const;//find by id
  TArtNEBULAHPCArray* GetNEBULAHPCArray() const;
  Int_t GetNumNEBULAHPCPara() const;
  TArtNEBULAHPCPara* GetNEBULAHPCPara(int i) const;
  TArtNEBULAHPCPara* FindNEBULAHPCPara(int id) const;//find by id
  TArtNEBULAHPCParaArray* GetNEBULAHPCParaArray() const;

  Int_t fMultiplicity;//temporal member variable

private:
  bool fReconstructed;

  TArtNEBULAHPCArray* fNEBULAHPCArray;
  TArtNEBULAHPCParaArray* fNEBULAHPCParaArray;

  const TArtSAMURAIParameters* fSAMURAIParameters;

  TArtStoreManager* fStoreManager;

  //for optimization
  std::map<int,int> fIDNHPCMap;
  std::map<int,int> fIDNHPCParaMap;

  ClassDef(TArtCalibNEBULAHPC,1);
};

#endif
